#
# spec file for package perl-MARC-Charset
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MARC-Charset
Version:        1.35
Release:        1.5
%define cpan_name MARC-Charset
Summary:        convert MARC-8 encoded strings to UTF-8
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MARC-Charset/
Source:         http://www.cpan.org/authors/id/G/GM/GMCHARLT/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::Accessor)
BuildRequires:  perl(XML::SAX)
Requires:       perl(Class::Accessor)
Requires:       perl(XML::SAX)
%{perl_requires}

%description
MARC::Charset allows you to turn MARC-8 encoded strings into UTF-8 strings.
MARC-8 is a single byte character encoding that predates unicode, and
allows you to put non-Roman scripts in MARC bibliographic records.

    http://www.loc.gov/marc/specifications/spechome.html

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.35
  see /usr/share/doc/packages/perl-MARC-Charset/Changes
  1.35 Tue Aug 13 19:50:55 PDT 2013
  - improve conversion of certain composed characters to MARC8
    Some characters should not be fully decomposed
    before converting them to MARC8.  This patch adds
    a table of such characters, based on Annex A of
    http://www.loc.gov/marc/marbi/2006/2006-04.html
    and on some sample records provided by Jason
    Stephenson of MVLC.
  - recognize G0 and G1 characters properly
    When converting from MARC8 to UTF8, MARC::Charset now
    properly recognizes if a (single-byte) MARC8 character falls
    in G0 or G1.
    This is part of the fix for RT#63271 (converting characters
    in the Extended Cyrillic character set), but should also
    fix similar issues with converting characters in the extended
    Arabic set.
    This commit also means that all MARC8 character sets that support
    both G0 and G1 wll be properly converted, regardless of whether
    they're currently set as the G0 or G1 character set.  For example,
    it is now possible to convert Extended Latin as G0 or Basic Latin
    as G1.
    This fixes RT#63271
  - have MARC::Charset::Code->marc_value() handle G0/G1 conversion
    Since there's at present no need to do things like have
    ANSEL be the G0 character set when converting from UTF8 to
    MARC8, this commit centralizes the logic for deciding
    whether to return the G0 or G1 MARC8 representation of a
    character.
    Also add MARC::Charset::Code->g0_marc_value(), which returns
    the G0 representation of the character for use by the
    character DB.
  - New test cases for converting Vietnamese and Extended Cyrillic
    text.
  1.34 Mon Feb 11 09:10:35 PST 2013
  - RT#83257: use AnyDBM_File rather than hardcode GDBM_File
    To improve portability, use AnyDBM_File to select a DBM
    rather than rely on GDBM_File.  GDBM_File apparently used
    to be a core module, but not all distributions included it,
    particularly OS X.  In any event, GDBM_File is no longer
    core.
    This patch also includes a tweak to allow MARC::Charset to
    work with NDBM_File and ODBM_File, neither of which
    support 'exists'.
    I've tested MARC::Charset successfully on the following
    DBMs:
  - GDBM_File
  - DB_File
  - NDBM_File
  - ODBM_File
  - SDBM_File
    This is also my preferred order; SDBM_File is selected last
    because it produces the biggest data file on disk.
  - RT#38912: fix mapping of double diacritics (ligature and double
    tilde).
    Thanks to Thomas P. Ventimiglia for the bug report and test case.
  1.33 Thu Aug  4 23:25:14 EDT 2011
  - move build_db() to separate .PL script so that module can be
    built even if Class::Accessor and other dependencies aren't
    available before Makefile.PL is run.
  - list GDBM_File as an explicit dependency, as some distributions
    like ActivePerl don't include it even though it is a
    core module.
  1.32 Thu Jun 30 16:38:32 EDT 2011
  - make sure utf8 flag set in output of marc8_to_utf8
  1.31 Thu Sep 30 10:53:00 EDT 2010
  - minor revision to get v1.3 Changes into the CPAN distro :-)
  1.3 Wed Sep 29 10:26:49 EDT 2010
  - added latest codetables.xml from
    http://www.loc.gov/marc/specifications/codetables.xml (thanks to
    Mark Muehlhaeusler for noticing that there were some Arabic updates.
    I reapplied the changes that François Charette suggested in v0.98
    which are still not present in LC's codetable :-(
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.33
  see /usr/share/doc/packages/perl-MARC-Charset/Changes
  1.33 Thu Aug  4 23:25:14 EDT 2011
  - move build_db() to separate .PL script so that module can be
    built even if Class::Accessor and other dependencies aren't
    available before Makefile.PL is run.
  - list GDBM_File as an explicit dependency, assome distributions
    like ActivePerl don't include it even though it is a
    core module.
  1.32 Thu Jun 30 16:38:32 EDT 2011
  - make sure utf8 flag set in output of marc8_to_utf8
  1.31 Thu Sep 30 10:53:00 EDT 2010
  - minor revision to get v1.3 Changes into the CPAN distro :-)
  1.3 Wed Sep 29 10:26:49 EDT 2010
  - added latest codetables.xml from
    http://www.loc.gov/marc/specifications/codetables.xml (thanks to
    Mark Muehlhaeusler for noticing that there were some Arabic updates.
    I reapplied the changes that François Charette suggested in v0.98
    which are still not present in LC's codetable :-(
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Nov 28 2010 coolo@novell.com
- remove .packlist file
* Wed May 12 2010 lars@linux-schulserver.de
- update to 1.02:
  + use Storable::nfreeze instead of Storable::freeze to get a more
    portable character set database. Reported and fixed by Niko Tyni
    of debian http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=579517
  + trim the size of the character mapping db by 70 times!
    Uses GDBM_File instead of SDBM_File.
  + Addition of characters used by III ILSs which are not covered
    by the official LoC codetables. Thanks go to Galen Charlton.
  + Removed PREREQ_FATAL from Makefile.PL to make CPAN testers happy
* Tue Feb 12 2008 lars@linux-schulserver.de
- update to 0.98:
  + addition of two code elements to etc/codetables.xml that enable
    the conversion of some Arabic records that contain 0x8D and 0x8E
    which ought to map to 0x200D and 0x200C in Unicode. These mappings
    are present for Basic and Extended Latin, but are not present
    in Arabic codetables. There are actually some records that seem
    to prove the need for these rules (LCCN 2006552991). Thanks to
    François Charette <fcharette@ankabut.net> for finding and proposing
    the fix. Rules were forwarded on to LC for inclusion in canonical
    character set mapping.
  + added t/farsi.t and t/farsi.marc to enable testing of new
    code rules. Hopefully this will fail if the codetables.xml is
    inadvertently removed without LC having added the new rules.
* Mon Jul 23 2007 lars@linux-schulserver.de
- initial version 0.97
